summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreroen2014-03-06 11:10:57 (GMT)
committereroen2014-03-06 11:10:57 (GMT)
commit710c4c28f3e2ef27a8eee2fb1443a1f9b049f021 (patch)
tree9b5bdea90a99f643afcec9203c2417edfb44f3d2
parentbd338aa28f41fcfa1e802cdedc5acf50b1cd1f04 (diff)
downloaderoen-overlay-710c4c28f3e2ef27a8eee2fb1443a1f9b049f021.tar.gz
eroen-overlay-710c4c28f3e2ef27a8eee2fb1443a1f9b049f021.tar.bz2
eroen-overlay-710c4c28f3e2ef27a8eee2fb1443a1f9b049f021.tar.xz
isso - ugly hack to generate js
-rw-r--r--www-apps/isso/isso-9999.ebuild24
1 files changed, 17 insertions, 7 deletions
diff --git a/www-apps/isso/isso-9999.ebuild b/www-apps/isso/isso-9999.ebuild
index 887a95f..c442e2d 100644
--- a/www-apps/isso/isso-9999.ebuild
+++ b/www-apps/isso/isso-9999.ebuild
@@ -32,7 +32,7 @@ SLOT="0"
KEYWORDS=""
IUSE=""
if [[ ${PV} == *9999* ]]; then
- IUSE+=" doc"
+ IUSE+=" debug doc"
DOCS=( README.md CHANGES.rst docs/{contribute.rst,faq.rst,isso.example.cfg} )
fi
@@ -50,6 +50,8 @@ LIBDEPEND="dev-python/html5lib[${PYTHON_USEDEP}]
HDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
if [[ ${PV} == *9999* ]]; then
HDEPEND+=" dev-ruby/sass
+ net-libs/nodejs
+ net-misc/wget
doc? ( dev-python/sphinx )"
fi
DEPEND="${HDEPEND}\
@@ -60,8 +62,21 @@ python_prepare_all() {
if [[ ${PV} == *9999* ]]; then
mkdir -p isso/css || die
scss isso/css/isso.scss isso/css/isso.css || die
+
+ #TODO: This sucks.
+ mkdir -p isso/js/components/{requirejs-text,almond} || die
+ wget -O isso/js/components/requirejs-text/text.js https://raw.github.com/requirejs/text/master/text.js || die
+ wget -O isso/js/components/almond/almond.js https://raw.github.com/jrburke/almond/master/almond.js || die
+ wget -O "${T}"/r.js https://raw.github.com/jrburke/r.js/master/dist/r.js || die
+
+ node "${T}"/r.js -o isso/js/build.embed.js || die
+ node "${T}"/r.js -o isso/js/build.count.js || die
+ if use debug; then
+ node "${T}"/r.js -o isso/js/build.embed.js optimize="none" out="isso/js/embed.dev.js" || die
+ node "${T}"/r.js -o isso/js/build.count.js optimize="none" out="isso/js/count.dev.js" || die
+ fi
fi
- # TODO: Figure out what to do with js
+ distutils-r1_python_prepare_all
}
python_compile_all() {
@@ -89,11 +104,6 @@ python_test() {
fi
}
-python_install() {
- distutils-r1_python_install
- # build system installs css automatically if present
-}
-
python_install_all() {
distutils-r1_python_install_all
if [[ ${PV} == *9999* ]]; then